# Interface BatchItemResult<TStatus>

interface BatchItemResult<TStatus extends string> {
error?: BatchItemError;
index: number;
item?: AssetGet;
status: TStatus;
statusCode?: number;
}

#### Type Parameters

- TStatus extends string

##### Index

### Properties

error?
index
item?
status
statusCode?

## Properties

### `Optional` error

error?: BatchItemError

### index

index: number

### `Optional` item

item?: AssetGet

### status

status: TStatus

### `Optional` statusCode

statusCode?: number